Bug 1912388 - [OVN]: `make check` broken on 4.6
Summary: [OVN]: `make check` broken on 4.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Alexander Constantinescu
QA Contact: Arti Sood
URL:
Whiteboard:
Depends On: 1898268
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-04 10:58 UTC by Alexander Constantinescu
Modified: 2021-02-08 13:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1898269
Environment:
Last Closed: 2021-02-08 13:51:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 395 0 None closed Bug 1912388: Fix broken make check on 4.6 2021-02-10 15:37:25 UTC
Red Hat Product Errata RHSA-2021:0308 0 None None None 2021-02-08 13:51:37 UTC

Comment 2 Arti Sood 2021-01-29 16:02:05 UTC
Followed the steps below:-


$ git checkout origin/release-4.6
$ git pull
$ cd go-controller
$ make check
$ echo $?

[asood@asood go-controller]$ echo $?
0

Final log messages...


JUnit path was configured: /home/asood/github-projects/ovn-kubernetes/go-controller/_artifacts/junit-hybrid-overlay_pkg_controller.xml

JUnit report was created: /home/asood/github-projects/ovn-kubernetes/go-controller/_artifacts/junit-hybrid-overlay_pkg_controller.xml

Ran 14 of 14 Specs in 1.756 seconds
SUCCESS! -- 14 Passed | 0 Failed | 0 Pending | 0 Skipped
--- PASS: TestHybridOverlayControllerSuite (1.76s)
PASS
coverage: 56.7% of statements
[asood@asood go-controller]$

Comment 3 Arti Sood 2021-01-29 16:06:51 UTC
make check passes for origin/release-4.7 as well.

Comment 6 errata-xmlrpc 2021-02-08 13:51:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0308


Note You need to log in before you can comment on or make changes to this bug.